Subject: bug#6392: Scroll Lock state was on

From: Stefan Kangas <[email-masked]>
Date: Sat, 18 Jan 2020 02:14:55 +0100

Tim Van Holder <[email-masked]> writes:

> On 18 June 2010 10:20, Tim Van Holder <[email-masked]> wrote:
>> With this morning's bzr trunk this seems to have gone away; pressing
>> the key with Emacs still has the message, but that's perfectly normal.
>> The message is no longer issued when switching to/from Emacs, nor when
>> starting Emacs with scroll lock enabled.
>
> Looks like I was premature. I just switched to emacs from Vista (a
> 3270 terminal emulator; probably the reason Scroll Lock is on to begin
> with) and it hit the error again.
> Given that when I tested it this morning (explicitly
> enabling/disabling Scroll Lock via the keyboard) things were working,
> it may be specifically related to Scroll Lock being enabled
> programmatically. It may also be specific to my use case (i.e. using
> Cygwin's X server via SSH tunnelling).
> I'll try to do some tests next Monday.

That was 10 years ago.  Are you still seeing this on a modern version
of Emacs?

Best regards,
Stefan Kangas